Withdraw cancellation
Request, parameters and responses for this API endpoint.
/api/v1/customer/products/{id}/cancellationOverview
This endpoint requires an API key with write access. Its creator must still be the user of the customer account.
Headers & parameters
AuthorizationBearer $SYSTEY_API_KEY · required
idpath · required{"type":"string","format":"uuid"}
Example request
Replace placeholders with your own values. Persist $REQUEST_UUID before a mutation if this endpoint requires an Idempotency-Key.
curl -i -X DELETE "https://systey.com/api/v1/customer/products/<resource UUID>/cancellation" \
-H "Authorization: Bearer $SYSTEY_API_KEY"Response
| Field | Type | Required |
|---|---|---|
data | object | Yes |
data.iduuid | string | Yes |
data.name | string | Yes |
data.description | string | null | Yes |
data.specificationItems | array | Yes |
data.specificationItems[] | object | — |
data.specificationItems[].label | string | Yes |
data.specificationItems[].value | string | Yes |
data.status"ACTIVE" | "PAUSED" | "CANCELLED" | string | Yes |
data.sandbox | boolean | Yes |
data.categorystring | null | string | null | Yes |
data.priceCents | integer | Yes |
data.billingCycle"ONCE" | "MONTHLY" | "YEARLY" | string | Yes |
data.commercialModel"CONTRACT" | "PREPAID" | string | Yes |
data.renewalMode"NONE" | "AUTOMATIC" | "CUSTOMER" | string | Yes |
data.contractTermMonths | number | null | Yes |
data.minimumTermMonths | number | null | Yes |
data.renewalMonths | number | null | Yes |
data.noticeDays | number | null | Yes |
data.serviceStartedAtdate-time | null | string | null | Yes |
data.serviceEndsAtdate-time | null | string | null | Yes |
data.cancelRequestedAtdate-time | null | string | null | Yes |
data.cancelEffectiveAtdate-time | null | string | null | Yes |
data.hostname | string | null | Yes |
data.ipAddress | string | null | Yes |
data.createdAtdate-time | string | Yes |
data.updatedAtdate-time | string | Yes |
data.domainobject | null | object | null | Yes |
data.domain.name | string | Yes |
data.domain.status | string | Yes |
data.domain.expiresAtdate-time | null | string | null | Yes |
data.domain.sandbox | boolean | Yes |
Errors
Error responses contain error and optionally message and details. Rate limit: 120 requests per minute per key. On HTTP 429 respect Retry-After.

